--- old/exception_lists/check_rtime	Mon Feb 17 21:59:22 2014
+++ new/exception_lists/check_rtime	Mon Feb 17 21:59:22 2014
@@ -137,6 +137,9 @@
 UNUSED_RPATH	/usr/sfw/lib.*\ from\ .*libpq\.so\.5
 UNUSED_RPATH	/usr/lib.*\ from\ .*/usr/lib/mps
 UNUSED_RPATH	/usr/ccs/lib.*\ from\ .*/usr/lib/mps
+UNUSED_RPATH	/usr/gnu/lib.*\ from\ .*/usr/lib/libpython2\.6
+UNUSED_RPATH	/usr/gnu/lib.*\ from\ .*/usr/lib/64/libpython2\.6
+UNUSED_RPATH	/usr/snadm/lib.*\ from\ .*/usr/snadm/lib/libspmicommon\.so\.1
 
 # Unused runpaths for reasons not captured above
 UNUSED_RPATH	/usr/lib/smbsrv.*\ from\ .*libsmb\.so\.1 	# future needs
--- old/usr/src/cmd/boot/bootadm/Makefile	Mon Feb 17 21:59:22 2014
+++ new/usr/src/cmd/boot/bootadm/Makefile	Mon Feb 17 21:59:22 2014
@@ -38,8 +38,11 @@
 .KEEP_STATE:
 
 LDLIBS_i386= -lfdisk
-LDLIBS +=	-lnvpair -lgen -ladm -lefi -lscf -lz -lbe -lzfs $(LDLIBS_$(MACH))
+LDLIBS +=	-lnvpair -lgen -ladm -lefi -lscf -lbe -lzfs $(LDLIBS_$(MACH))
 
+# There's no lint library for zlib, so only include this when building
+$(PROG) := 	LDLIBS += -lz
+
 # Writing into string literals is incorrect.  We need to match gcc's
 # behavior, which causes us to take SIGSEGV on such a write.
 CFLAGS +=	$(XSTRCONST)
@@ -53,6 +56,7 @@
 LINTFLAGS += -erroff=E_INCONS_ARG_DECL2
 LINTFLAGS += -erroff=E_INCONS_VAL_TYPE_DECL2
 LINTFLAGS += -erroff=E_NAME_DEF_NOT_USED2
+LINTFLAGS += -erroff=E_NAME_USED_NOT_DEF2
 
 all: $(PROG)
 
--- old/usr/src/cmd/boot/fiocompress/Makefile	Mon Feb 17 21:59:23 2014
+++ new/usr/src/cmd/boot/fiocompress/Makefile	Mon Feb 17 21:59:23 2014
@@ -22,8 +22,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-# 
 
 PROG= fiocompress
 
@@ -36,7 +34,8 @@
 
 .KEEP_STATE:
 
-LDLIBS +=	-lz
+# There's no lint library for zlib, so only include this when building
+$(PROG) := LDLIBS +=	-lz
 
 CFLAGS +=	-I../../../uts/common
 LINTFLAGS +=	-I../../../uts/common
@@ -45,6 +44,7 @@
 # until libz is compiled against ON header files (uid/gid)
 LINTFLAGS += -erroff=E_INCONS_ARG_DECL2
 LINTFLAGS += -erroff=E_INCONS_VAL_TYPE_DECL2
+LINTFLAGS += -erroff=E_NAME_USED_NOT_DEF2
 
 all: $(PROG)
 
--- old/usr/src/cmd/cmd-crypto/tpmadm/Makefile	Mon Feb 17 21:59:23 2014
+++ new/usr/src/cmd/cmd-crypto/tpmadm/Makefile	Mon Feb 17 21:59:23 2014
@@ -36,8 +36,11 @@
 
 CPPFLAGS += -xCC
 LINTFLAGS += -XCC  -L$(ADJUNCT_PROTO)/usr/lib
-LDLIBS += -ltspi -luuid
+LDLIBS += -luuid
 
+# libtspi has no lint library, so we can only include this while building
+$(PROG) := LDLIBS += -ltspi
+
 CLOBBERFILES = C.ln $(POFILE) $(POFILES)
 
 .KEEP_STATE:
--- old/usr/src/cmd/cmd-inet/usr.lib/wanboot/p12split/Makefile	Mon Feb 17 21:59:23 2014
+++ new/usr/src/cmd/cmd-inet/usr.lib/wanboot/p12split/Makefile	Mon Feb 17 21:59:23 2014
@@ -25,9 +25,14 @@
 include ../Makefile.com
 
 PROG=		p12split
-LDLIBS +=	-lwanboot -linetutil -lwanbootutil -lcrypto
+LDLIBS +=	-lwanboot -linetutil -lwanbootutil
 CPPFLAGS +=	-I$(CMNCRYPTDIR)
 
+# libcrypto has no lint library, so we can only include this while building
+$(PROG) := LDLIBS += -lcrypto
+
+LINTFLAGS +=	-erroff=E_NAME_USED_NOT_DEF2
+
 all:		$(PROG)
 
 install:	all $(ROOTCMD)
--- old/usr/src/cmd/cmd-inet/usr.lib/wanboot/p12split/p12split.c	Mon Feb 17 21:59:23 2014
+++ new/usr/src/cmd/cmd-inet/usr.lib/wanboot/p12split/p12split.c	Mon Feb 17 21:59:23 2014
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <stdio.h>
 #include <libintl.h>
 #include <locale.h>
@@ -262,7 +260,6 @@
 			int i;
 
 			for (i = 0; i < sk_X509_num(ta_in); i++) {
-				/* LINTED */
 				x = sk_X509_value(ta_in, i);
 				(void) printf(
 				    gettext("\nTrust Anchor cert %d:\n"), i);
@@ -287,7 +284,7 @@
 				}
 
 				(void) sunw_print_times(stdout, PRNT_BOTH,
-					NULL, x);
+				    NULL, x);
 			}
 		}
 	}
@@ -376,13 +373,11 @@
 		return;
 
 	for (i = 0; i < sk_X509_num(ta_in); ) {
-		/* LINTED */
 		curr = sk_X509_value(ta_in, i);
 		ret = time_check_print(curr);
 		if ((ret != CHK_TIME_OK && ret != CHK_TIME_IS_BEFORE) &&
 		    del_expired) {
 			(void) fprintf(stderr, gettext("  Removing cert\n"));
-			/* LINTED */
 			curr = sk_X509_delete(ta_in, i);
 			X509_free(curr);
 			continue;
@@ -586,7 +581,6 @@
 	 */
 	if (clist != NULL) {
 		if (cert != NULL && sk_X509_num(clist) == 1) {
-			/* LINTED */
 			(void) sk_X509_delete(clist, 0);
 		}
 		sk_X509_pop_free(clist, X509_free);
@@ -593,7 +587,6 @@
 	}
 	if (klist != NULL) {
 		if (pkey != NULL && sk_EVP_PKEY_num(klist) == 1) {
-			/* LINTED */
 			(void) sk_EVP_PKEY_delete(klist, 0);
 		}
 		sk_EVP_PKEY_pop_free(klist, sunw_evp_pkey_free);
--- old/usr/src/cmd/cmd-inet/usr.lib/wanboot/wanboot-cgi/Makefile	Mon Feb 17 21:59:23 2014
+++ new/usr/src/cmd/cmd-inet/usr.lib/wanboot/wanboot-cgi/Makefile	Mon Feb 17 21:59:23 2014
@@ -25,9 +25,12 @@
 include ../Makefile.com
 
 PROG =		wanboot-cgi
-LDLIBS +=	-lgen -lnsl -lwanbootutil -lnvpair -lwanboot -lcrypto
+LDLIBS +=	-lgen -lnsl -lwanbootutil -lnvpair -lwanboot
 CPPFLAGS +=	-I$(CMNCRYPTDIR)
 
+# libcrypto has no lint library, so we can only include this while building
+$(PROG) := LDLIBS += -lcrypto
+
 all:		$(PROG)
 
 install:	all $(ROOTCMD)
--- old/usr/src/cmd/cmd-inet/usr.lib/wanboot/wanboot-cgi/wanboot-cgi.c	Mon Feb 17 21:59:24 2014
+++ new/usr/src/cmd/cmd-inet/usr.lib/wanboot/wanboot-cgi/wanboot-cgi.c	Mon Feb 17 21:59:24 2014
@@ -877,7 +877,6 @@
 	 * Merge the two stacks of pkcs12 certs.
 	 */
 	for (i = 0; i < sk_X509_num(i_anchors); i++) {
-		/* LINTED */
 		x = sk_X509_delete(i_anchors, i);
 		(void) sk_X509_push(o_anchors, x);
 	}
@@ -1090,7 +1089,6 @@
 	p12 = NULL;
 
 	for (i = 0; i < sk_X509_num(certs); i++) {
-		/* LINTED */
 		x = sk_X509_value(certs, i);
 		if (!one_name(sunw_issuer_attrs(x, buf, sizeof (buf) - 1),
 		    nvl)) {
--- old/usr/src/cmd/fm/modules/common/fabric-xlate/Makefile	Mon Feb 17 21:59:24 2014
+++ new/usr/src/cmd/fm/modules/common/fabric-xlate/Makefile	Mon Feb 17 21:59:24 2014
@@ -36,8 +36,11 @@
 LINTFLAGS += -I$(INCDIRS)
 
 LDFLAGS += -L$(ROOT)/usr/lib/fm -R/usr/lib/fm
-LDLIBS += -luutil -lxml2 -L$(ROOTLIB)/fm -ltopo
+LDLIBS += -luutil -L$(ROOTLIB)/fm -ltopo
 
+# libxml2 has no lint library, so we can only include this while building
+$(PROG) := LDLIBS += -lxml2
+
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-uninitialized
--- old/usr/src/cmd/isns/isnsadm/Makefile	Mon Feb 17 21:59:24 2014
+++ new/usr/src/cmd/isns/isnsadm/Makefile	Mon Feb 17 21:59:24 2014
@@ -29,13 +29,17 @@
 
 include ../../Makefile.cmd
 
-LDLIBS += -lxml2 -lscf -lc
+LDLIBS += -lscf -lc
 CFLAGS += $(CCVERBOSE)
 CPPFLAGS += -I. -I$(ADJUNCT_PROTO)/usr/include/libxml2 -I../isnsd
 POFILE = isnsadm_all.po
 POFILES = $(OBJS:%.o=%.po)
 
+# libxml2 has no lint library, so we can only include this while building
+$(PROG) := LDLIBS += -lxml2
+
 LINTFLAGS += -xerroff=E_BAD_FORMAT_STR2
+LINTFLAGS += -erroff=E_NAME_USED_NOT_DEF2
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
--- old/usr/src/cmd/isns/isnsd/Makefile	Mon Feb 17 21:59:24 2014
+++ new/usr/src/cmd/isns/isnsd/Makefile	Mon Feb 17 21:59:24 2014
@@ -68,8 +68,11 @@
 obj.o := CERRWARN += -erroff=E_CONST_OBJ_SHOULD_HAVE_INITIZR
 obj.o := CERRWARN += -erroff=E_IMPLICIT_DECL_FUNC_RETURN_INT
 
-LDLIBS		+= -lsecdb -lsocket -lnsl -lscf -lxml2
+LDLIBS		+= -lsecdb -lsocket -lnsl -lscf
 
+# libxml2 has no lint library, so we can only include this while building
+$(PROG) := LDLIBS += -lxml2
+
 .KEEP_STATE:
 
 all:	$(PROG)
--- old/usr/src/cmd/mdb/i86pc/modules/unix/unix.c	Mon Feb 17 21:59:24 2014
+++ new/usr/src/cmd/mdb/i86pc/modules/unix/unix.c	Mon Feb 17 21:59:24 2014
@@ -860,6 +860,7 @@
 	}
 
 	for (ii = 0; ii < NUM_X86_FEATURES; ii++) {
+		/* LINTED */
 		if (!BT_TEST((ulong_t *)fset, ii))
 			continue;
 
--- old/usr/src/cmd/smbsrv/smbd/smbd_spool.c	Mon Feb 17 21:59:25 2014
+++ new/usr/src/cmd/smbsrv/smbd/smbd_spool.c	Mon Feb 17 21:59:25 2014
@@ -27,14 +27,6 @@
  * CUPS support for the SMB and SPOOLSS print services.
  */
 
-#ifndef HAVE_CUPS
-void smbd_load_printers(void) { return; }
-void smbd_cups_init(void) { return; }
-void smbd_cups_fini(void) { return; }
-void smbd_spool_start(void) { return; }
-void smbd_spool_stop(void) { return; }
-#else
-
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <strings.h>
@@ -48,6 +40,7 @@
 #include <smbsrv/smb_share.h>
 #include "smbd.h"
 
+#ifdef	HAVE_CUPS
 #include <cups/cups.h>
 
 #define	SMB_SPOOL_WAIT			2
@@ -521,4 +514,47 @@
 
 	(void) strlcpy(si->shr_cmnt, comment, SMB_SHARE_CMNT_MAX);
 }
-#endif
+
+#else	/* HAVE_CUPS */
+
+/*
+ * If not HAVE_CUPS, just provide a few "stubs".
+ */
+
+int
+smbd_cups_init(void)
+{
+	return (ENOENT);
+}
+
+void
+smbd_cups_fini(void)
+{
+}
+
+void
+smbd_load_printers(void)
+{
+}
+
+void
+smbd_spool_init(void)
+{
+}
+
+void
+smbd_spool_fini(void)
+{
+}
+
+void
+smbd_spool_start(void)
+{
+}
+
+void
+smbd_spool_stop(void)
+{
+}
+
+#endif 	/* HAVE_CUPS */
--- old/usr/src/cmd/ssh/libssh/Makefile.com	Mon Feb 17 21:59:25 2014
+++ new/usr/src/cmd/ssh/libssh/Makefile.com	Mon Feb 17 21:59:25 2014
@@ -94,7 +94,7 @@
 # Define LDLIBS conditionally for lintcheck, rather than in general, since
 # we're building an archive library which itself links to nothing, we just
 # want lint to know about these libraries.
-lintcheck  :=	LDLIBS += -lcrypto -lz -lsocket -lnsl -lc
+lintcheck  :=	LDLIBS += -lsocket -lnsl -lc
 $(LINTLIB) :=	SRCS = $(SRCDIR)/$(LINTSRC)
 
 POFILE_DIR =	../..
--- old/usr/src/cmd/ssh/sftp-server/Makefile	Mon Feb 17 21:59:25 2014
+++ new/usr/src/cmd/ssh/sftp-server/Makefile	Mon Feb 17 21:59:25 2014
@@ -31,8 +31,11 @@
 include ../../Makefile.cmd
 include ../Makefile.ssh-common
 
-LDLIBS +=	$(SSH_COMMON_LDLIBS) -lsocket -lcrypto
+LDLIBS +=	$(SSH_COMMON_LDLIBS) -lsocket
 
+# libcrypto has no lint library, so we can only use it when building
+$(PROG) := 	LDLIBS += -lcrypto
+
 POFILE_DIR =	..
 
 .KEEP_STATE:
--- old/usr/src/cmd/ssh/sftp/Makefile	Mon Feb 17 21:59:25 2014
+++ new/usr/src/cmd/ssh/sftp/Makefile	Mon Feb 17 21:59:25 2014
@@ -35,7 +35,9 @@
 include ../../Makefile.cmd
 include ../Makefile.ssh-common
 
-LDLIBS +=	$(SSH_COMMON_LDLIBS) -lsocket -lcrypto -ltecla
+LDLIBS +=	$(SSH_COMMON_LDLIBS) -lsocket -ltecla
+# libcrypto has no lint library, so we can only use it when building
+$(PROG) := LDLIBS += -lcrypto
 
 POFILE_DIR =	..
 
--- old/usr/src/cmd/ssh/ssh-add/Makefile	Mon Feb 17 21:59:26 2014
+++ new/usr/src/cmd/ssh/ssh-add/Makefile	Mon Feb 17 21:59:26 2014
@@ -32,8 +32,11 @@
 include ../../Makefile.cmd
 include ../Makefile.ssh-common
 
-LDLIBS += $(SSH_COMMON_LDLIBS) -lsocket -lcrypto
+LDLIBS += $(SSH_COMMON_LDLIBS) -lsocket
 
+# libcrypto has no lint library, so we can only use it when building
+$(PROG) := LDLIBS += -lcrypto
+
 POFILE_DIR= ..
 
 .KEEP_STATE:
--- old/usr/src/cmd/ssh/ssh-agent/Makefile	Mon Feb 17 21:59:26 2014
+++ new/usr/src/cmd/ssh/ssh-agent/Makefile	Mon Feb 17 21:59:26 2014
@@ -32,8 +32,11 @@
 include ../../Makefile.cmd
 include ../Makefile.ssh-common
 
-LDLIBS += $(SSH_COMMON_LDLIBS) -lsocket -lcrypto
+LDLIBS += $(SSH_COMMON_LDLIBS) -lsocket
 
+# libcrypto has no lint library, so we can only use it when building
+$(PROG) := LDLIBS += -lcrypto
+
 POFILE_DIR= ..
 
 .KEEP_STATE:
--- old/usr/src/cmd/ssh/ssh-keygen/Makefile	Mon Feb 17 21:59:26 2014
+++ new/usr/src/cmd/ssh/ssh-keygen/Makefile	Mon Feb 17 21:59:26 2014
@@ -32,8 +32,11 @@
 include ../../Makefile.cmd
 include ../Makefile.ssh-common
 
-LDLIBS += $(SSH_COMMON_LDLIBS) -lcrypto -lsocket
+LDLIBS += $(SSH_COMMON_LDLIBS) -lsocket
 
+# libcrypto has no lint library, so we can only use it when building
+$(PROG) := LDLIBS += -lcrypto
+
 POFILE_DIR= ..
 
 .KEEP_STATE:
--- old/usr/src/cmd/ssh/ssh-keyscan/Makefile	Mon Feb 17 21:59:26 2014
+++ new/usr/src/cmd/ssh/ssh-keyscan/Makefile	Mon Feb 17 21:59:26 2014
@@ -32,8 +32,11 @@
 include ../../Makefile.cmd
 include ../Makefile.ssh-common
 
-LDLIBS += $(SSH_COMMON_LDLIBS) -lsocket -lnsl -lz -lcrypto
+LDLIBS += $(SSH_COMMON_LDLIBS) -lsocket -lnsl
 
+# libcrypto and libz have no lint library, so we can only use it when building
+$(PROG) := LDLIBS += -lcrypto -lz
+
 POFILE_DIR= ..
 
 .KEEP_STATE:
--- old/usr/src/cmd/ssh/ssh-keysign/Makefile	Mon Feb 17 21:59:26 2014
+++ new/usr/src/cmd/ssh/ssh-keysign/Makefile	Mon Feb 17 21:59:26 2014
@@ -36,8 +36,11 @@
 
 FILEMODE= 04555
 
-LDLIBS += $(SSH_COMMON_LDLIBS) -lsocket -lnsl -lz -lcrypto
+LDLIBS += $(SSH_COMMON_LDLIBS) -lsocket -lnsl
 
+# There's no lint library for zlib or libcrypto, so only include these for build
+$(PROG) :=     LDLIBS += -lz -lcrypto
+
 POFILE_DIR= ..
 
 .KEEP_STATE:
--- old/usr/src/cmd/ssh/ssh/Makefile	Mon Feb 17 21:59:27 2014
+++ new/usr/src/cmd/ssh/ssh/Makefile	Mon Feb 17 21:59:27 2014
@@ -39,10 +39,12 @@
 
 LDLIBS += $(SSH_COMMON_LDLIBS) -lsocket \
 	-lnsl \
-	-lz \
-	-lcrypto \
 	-lgss
 
+# libcrypto and libz have no lint libraries, so we can only use them when
+# building
+$(PROG) := LDLIBS += -lcrypto -lz
+
 POFILE_DIR= ..
 
 .KEEP_STATE:
--- old/usr/src/cmd/ssh/sshd/Makefile	Mon Feb 17 21:59:27 2014
+++ new/usr/src/cmd/ssh/sshd/Makefile	Mon Feb 17 21:59:27 2014
@@ -71,13 +71,13 @@
 
 LDLIBS += $(SSH_COMMON_LDLIBS) -lsocket \
 	-lnsl \
-	-lz \
 	-lpam \
 	-lbsm \
 	-lwrap \
-	-lcrypto \
 	-lgss \
 	-lcontract
+# There's no lint library for zlib or libcrypto, so only include these for build
+$(PROG) :=     LDLIBS += -lz -lcrypto
 MAPFILES = $(MAPFILE.INT) $(MAPFILE.NGB)
 LDFLAGS += $(MAPFILES:%=-M%)
 
--- old/usr/src/common/net/wanboot/boot_http.c	Mon Feb 17 21:59:27 2014
+++ new/usr/src/common/net/wanboot/boot_http.c	Mon Feb 17 21:59:27 2014
@@ -2254,7 +2254,6 @@
 		return;
 
 	for (i = 0; i < sk_SSL_CIPHER_num(sk); i++) {
-		/* LINTED */
 		c = sk_SSL_CIPHER_value(sk, i);
 		libbootlog(BOOTLOG_VERBOSE, "%08lx %s", c->id, c->name);
 	}
--- old/usr/src/lib/libkmf/plugins/kmf_openssl/Makefile.com	Mon Feb 17 21:59:27 2014
+++ new/usr/src/lib/libkmf/plugins/kmf_openssl/Makefile.com	Mon Feb 17 21:59:27 2014
@@ -40,8 +40,8 @@
 OPENSSLLIBS=	$(BERLIB) -lcrypto -lcryptoutil -lc
 OPENSSLLIBS64=	$(BERLIB64) -lcrypto -lcryptoutil -lc
 
-LINTSSLLIBS	= $(BERLIB) -lcrypto -lcryptoutil -lc
-LINTSSLLIBS64	= $(BERLIB64) -lcrypto -lcryptoutil -lc
+LINTSSLLIBS	= $(BERLIB) -lcryptoutil -lc
+LINTSSLLIBS64	= $(BERLIB64) -lcryptoutil -lc
 
 SRCDIR=		../common
 INCDIR=		../../include
--- old/usr/src/lib/libkmf/plugins/kmf_openssl/common/openssl_spi.c	Mon Feb 17 21:59:27 2014
+++ new/usr/src/lib/libkmf/plugins/kmf_openssl/common/openssl_spi.c	Mon Feb 17 21:59:27 2014
@@ -2033,7 +2033,7 @@
 #if OPENSSL_VERSION_NUMBER < 0x10000000L
 	STACK *emlst = NULL;
 #else
-        STACK_OF(OPENSSL_STRING) *emlst = NULL;
+	STACK_OF(OPENSSL_STRING) *emlst = NULL;
 #endif
 	X509_EXTENSION *ex;
 	X509_CINF *ci;
@@ -2153,7 +2153,7 @@
 #else
 		for (j = 0; j < sk_OPENSSL_STRING_num(emlst); j++)
 			(void) BIO_printf(mem, "%s\n",
-                            sk_OPENSSL_STRING_value(emlst, j));
+			    sk_OPENSSL_STRING_value(emlst, j));
 #endif
 
 		len = BIO_gets(mem, resultStr, KMF_CERT_PRINTABLE_LEN);
@@ -2499,7 +2499,6 @@
 	keyhash = id->value.byKey->data;
 	/* Calculate hash of each key and compare */
 	for (i = 0; i < sk_X509_num(certs); i++) {
-		/* LINTED E_BAD_PTR_CAST_ALIGN */
 		X509 *x = sk_X509_value(certs, i);
 		/* Use pubkey_digest to get the key ID value */
 		(void) X509_pubkey_digest(x, EVP_sha1(), tmphash, NULL);
@@ -3639,7 +3638,6 @@
 	}
 
 	for (i = 0; i < sk_X509_INFO_num(x509_info_stack); i++) {
-		/* LINTED E_BAD_PTR_CAST_ALIGN */
 		cert_infos[ncerts] = sk_X509_INFO_value(x509_info_stack, i);
 		ncerts++;
 	}
@@ -3721,7 +3719,6 @@
 err:
 	/* Cleanup the stack of X509 info records */
 	for (i = 0; i < sk_X509_INFO_num(x509_info_stack); i++) {
-		/* LINTED E_BAD_PTR_CAST_ALIGN */
 		info = (X509_INFO *)sk_X509_INFO_value(x509_info_stack, i);
 		X509_INFO_free(info);
 	}
@@ -3742,7 +3739,6 @@
 	int i;
 
 	for (i = 0; i < sk_PKCS12_SAFEBAG_num(bags); i++) {
-		/* LINTED E_BAD_PTR_CAST_ALIGN */
 		PKCS12_SAFEBAG *bag = sk_PKCS12_SAFEBAG_value(bags, i);
 		ret = openssl_parse_bag(bag, pin, (pin ? strlen(pin) : 0),
 		    keys, certs);
@@ -3773,12 +3769,10 @@
 		X509_ATTRIBUTE *a;
 		for (i = 0;
 		    i < sk_X509_ATTRIBUTE_num(pkey->attributes); i++) {
-			/* LINTED E_BAD_PTR_CASE_ALIGN */
 			a = sk_X509_ATTRIBUTE_value(pkey->attributes, i);
 			if (OBJ_obj2nid(a->object) == nid) {
 				X509_ATTRIBUTE_free(a);
-				/* LINTED E_BAD_PTR_CAST_ALIGN */
-				sk_X509_ATTRIBUTE_set(pkey->attributes,
+				(void) sk_X509_ATTRIBUTE_set(pkey->attributes,
 				    i, attr);
 				return (KMF_OK);
 			}
@@ -3955,7 +3949,6 @@
 
 	for (i = 0; ret == KMF_OK && i < sk_PKCS7_num(asafes); i++) {
 		bags = NULL;
-		/* LINTED E_BAD_PTR_CAST_ALIGN */
 		p7 = sk_PKCS7_value(asafes, i);
 		bagnid = OBJ_obj2nid(p7->type);
 
@@ -4233,7 +4226,6 @@
 		return (NULL);
 
 	for (i = 0; i < sk_X509_ATTRIBUTE_num(attrs); i++) {
-		/* LINTED E_BAD_PTR_CAST_ALIGN */
 		a = sk_X509_ATTRIBUTE_value(attrs, i);
 		if (OBJ_obj2nid(a->object) == nid)
 			return (a);
@@ -4274,7 +4266,6 @@
 		ASN1_TYPE *ty = NULL;
 		int numattr = sk_ASN1_TYPE_num(attr->value.set);
 		if (attr->single == 0 && numattr > 0) {
-			/* LINTED E_BAD_PTR_CAST_ALIGN */
 			ty = sk_ASN1_TYPE_value(attr->value.set, 0);
 		}
 		if (ty != NULL) {
@@ -4298,7 +4289,6 @@
 		ASN1_TYPE *ty = NULL;
 		int numattr = sk_ASN1_TYPE_num(attr->value.set);
 		if (attr->single == 0 && numattr > 0) {
-			/* LINTED E_BAD_PTR_CAST_ALIGN */
 			ty = sk_ASN1_TYPE_value(attr->value.set, 0);
 		}
 		key->id.Data = (uchar_t *)malloc(
@@ -4329,7 +4319,6 @@
 	int i;
 
 	for (i = 0; sslkeys != NULL && i < sk_EVP_PKEY_num(sslkeys); i++) {
-		/* LINTED E_BAD_PTR_CAST_ALIGN */
 		EVP_PKEY *pkey = sk_EVP_PKEY_value(sslkeys, i);
 		rv = convertToRawKey(pkey, &key);
 		if (rv == KMF_OK)
@@ -4341,7 +4330,6 @@
 
 	/* Now add the certificate to the certlist */
 	for (i = 0; sslcert != NULL && i < sk_X509_num(sslcert); i++) {
-		/* LINTED E_BAD_PTR_CAST_ALIGN */
 		X509 *cert = sk_X509_value(sslcert, i);
 		rv = add_cert_to_list(kmfh, cert, certlist, ncerts);
 		if (rv != KMF_OK)
@@ -4357,7 +4345,6 @@
 		 * Lint is complaining about the embedded casting, and
 		 * to fix it, you need to fix openssl header files.
 		 */
-		/* LINTED E_BAD_PTR_CAST_ALIGN */
 		c = sk_X509_value(sslcacerts, i);
 
 		/* Now add the ca cert to the certlist */
@@ -5424,7 +5411,6 @@
 	}
 
 	for (i = 0; i < sk_X509_REVOKED_num(revoke_stack); i++) {
-		/* LINTED E_BAD_PTR_CAST_ALIGN */
 		revoke = sk_X509_REVOKED_value(revoke_stack, i);
 		if (ASN1_INTEGER_cmp(xcert->cert_info->serialNumber,
 		    revoke->serialNumber) == 0) {
--- old/usr/src/lib/libpkg/Makefile.com	Mon Feb 17 21:59:28 2014
+++ new/usr/src/lib/libpkg/Makefile.com	Mon Feb 17 21:59:28 2014
@@ -64,8 +64,12 @@
 LIBS = $(DYNLIB) $(LINTLIB)
 
 
-LDLIBS +=	-lc -lssl -lwanboot -lcrypto -lscf -ladm
+LDLIBS +=	-lc -lwanboot -lscf -ladm
 
+# libcrypto and libssl have no lint library, and so can only be used when
+# building
+$(DYNLIB) := LDLIBS += -lcrypto -lssl
+
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-parentheses
--- old/usr/src/lib/libpkg/common/security.c	Mon Feb 17 21:59:28 2014
+++ new/usr/src/lib/libpkg/common/security.c	Mon Feb 17 21:59:28 2014
@@ -110,7 +110,6 @@
 
 	/* add all ca certs into the store */
 	for (i = 0; i < sk_X509_num(cas); i++) {
-		/* LINTED pointer cast may result in improper alignment */
 		ca_cert = sk_X509_value(cas, i);
 		if (X509_STORE_add_cert(ca_store, ca_cert) == 0) {
 			pkgerr_add(err, PKGERR_NOMEM, gettext(ERR_MEM));
--- old/usr/src/lib/libshare/Makefile.com	Mon Feb 17 21:59:28 2014
+++ new/usr/src/lib/libshare/Makefile.com	Mon Feb 17 21:59:28 2014
@@ -37,9 +37,12 @@
 lintcheck := SRCS = $(LIBSRCS)
 
 LIBS =		$(DYNLIB) $(LINTLIB)
-LDLIBS +=	-lc -lnsl -lscf -lzfs -luuid -lxml2 -lnvpair
+LDLIBS +=	-lc -lnsl -lscf -lzfs -luuid -lnvpair
 $(LINTLIB) :=	SRCS = $(SRCDIR)/$(LINTSRC)
 
+# libxml2 has no lint library, so we can only use it when building
+$(DYNLIB) := LDLIBS += -lxml2
+
 #add nfs/lib directory as part of the include path
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
--- old/usr/src/lib/libshare/autofs/Makefile.com	Mon Feb 17 21:59:28 2014
+++ new/usr/src/lib/libshare/autofs/Makefile.com	Mon Feb 17 21:59:28 2014
@@ -42,8 +42,11 @@
 lintcheck := SRCS = $(LIBSRCS)
 
 LIBS =		$(DYNLIB)
-LDLIBS +=	-lshare -lscf -lumem -lc -lxml2
+LDLIBS +=	-lshare -lscf -lumem -lc
 
+# libxml2 has no lint library, so we can only use it when building
+$(DYNLIB) := LDLIBS += -lxml2
+
 #add nfs/lib directory as part of the include path
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-switch
@@ -51,7 +54,7 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CPPFLAGS +=	-D_REENTRANT -I$(AUTOFSSMFLIB_DIR) \
 			-I$(ADJUNCT_PROTO)/usr/include/libxml2 \
-  			-I$(SRCDIR)../common
+			-I$(SRCDIR)../common
 
 .KEEP_STATE:
 
--- old/usr/src/lib/libshare/nfs/Makefile.com	Mon Feb 17 21:59:29 2014
+++ new/usr/src/lib/libshare/nfs/Makefile.com	Mon Feb 17 21:59:29 2014
@@ -42,8 +42,11 @@
 lintcheck := SRCS = $(LIBSRCS)
 
 LIBS =		$(DYNLIB)
-LDLIBS +=	-lshare -lnsl -lscf -lumem -lc -lxml2
+LDLIBS +=	-lshare -lnsl -lscf -lumem -lc
 
+# libxml2 has no lint library, so we can only use it when building
+$(DYNLIB) := LDLIBS += -lxml2
+
 #add nfs/lib directory as part of the include path
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
--- old/usr/src/lib/libshare/smbfs/Makefile.com	Mon Feb 17 21:59:29 2014
+++ new/usr/src/lib/libshare/smbfs/Makefile.com	Mon Feb 17 21:59:29 2014
@@ -38,8 +38,11 @@
 LIBSRCS = $(LIBOBJS:%.o=$(SRCDIR)/%.c)
 
 LIBS =		$(DYNLIB)
-LDLIBS +=	-lshare -lscf -lumem -luuid -lc -lxml2 -lsmbfs
+LDLIBS +=	-lshare -lscf -lumem -luuid -lc -lsmbfs
 
+# libxml2 has no lint library, so we can only use it when building
+$(DYNLIB) := LDLIBS += -lxml2
+
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-uninitialized
--- old/usr/src/lib/libwanboot/Makefile.com	Mon Feb 17 21:59:29 2014
+++ new/usr/src/lib/libwanboot/Makefile.com	Mon Feb 17 21:59:29 2014
@@ -60,7 +60,12 @@
 
 LIBS +=		$(LINTLIB)
 LDLIBS +=	-lnvpair -lresolv -lnsl -lsocket -ldevinfo -ldhcputil \
-		-linetutil -lc -lcrypto -lssl
+		-linetutil -lc
+
+# libcrypto and libssl have no lint library, so we can only use it when
+# building
+$(DYNLIB) := LDLIBS += -lcrypto -lssl
+
 CPPFLAGS =	-I$(SRC)/common/net/wanboot/crypt $(CPPFLAGS.master)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
--- old/usr/src/lib/pkcs11/pkcs11_tpm/Makefile.com	Mon Feb 17 21:59:29 2014
+++ new/usr/src/lib/pkcs11/pkcs11_tpm/Makefile.com	Mon Feb 17 21:59:29 2014
@@ -73,7 +73,12 @@
 TSSLIB64=-L$(TSPILIBDIR)/$(MACH64)
 TSSINC=-I$(TSPIINCDIR)
 
-LDLIBS += $(TSSLIB) -L$(ADJUNCT_PROTO)/lib -lc -luuid -lmd -ltspi -lcrypto
+LDLIBS += $(TSSLIB) -L$(ADJUNCT_PROTO)/lib -lc -luuid -lmd
+
+# libtspi and libcrypto have no lint library, so we can only use it when
+# building
+$(LIBS) := LDLIBS += -ltspi -lcrypto
+
 CPPFLAGS += -xCC -D_POSIX_PTHREAD_SEMANTICS $(TSSINC)
 CPPFLAGS64 += $(CPPFLAGS)
 C99MODE=        $(C99_ENABLE)
--- old/usr/src/man/man1/Makefile	Mon Feb 17 21:59:30 2014
+++ new/usr/src/man/man1/Makefile	Mon Feb 17 21:59:30 2014
@@ -541,7 +541,6 @@
 		valtime.1	\
 		valuid.1	\
 		valyorn.1	\
-		vax.1		\
 		vedit.1		\
 		whence.1	\
 		while.1		\
@@ -646,21 +645,6 @@
 
 dumpkeys.1	:= LINKSRC = loadkeys.1
 
-i286.1		:= LINKSRC = machid.1
-i386.1		:= LINKSRC = machid.1
-i486.1		:= LINKSRC = machid.1
-i860.1		:= LINKSRC = machid.1
-iAPX286.1	:= LINKSRC = machid.1
-pdp11.1		:= LINKSRC = machid.1
-sparc.1		:= LINKSRC = machid.1
-sun.1		:= LINKSRC = machid.1
-u370.1		:= LINKSRC = machid.1
-u3b.1		:= LINKSRC = machid.1
-u3b15.1		:= LINKSRC = machid.1
-u3b2.1		:= LINKSRC = machid.1
-u3b5.1		:= LINKSRC = machid.1
-vax.1		:= LINKSRC = machid.1
-
 rmail.1		:= LINKSRC = mail.1
 
 page.1		:= LINKSRC = more.1
--- old/usr/src/pkg/manifests/SUNWcs.man1.inc	Mon Feb 17 21:59:30 2014
+++ new/usr/src/pkg/manifests/SUNWcs.man1.inc	Mon Feb 17 21:59:30 2014
@@ -250,11 +250,6 @@
 link path=usr/share/man/man1/helpuid.1 target=ckuid.1
 link path=usr/share/man/man1/helpyorn.1 target=ckyorn.1
 link path=usr/share/man/man1/hist.1 target=history.1
-link path=usr/share/man/man1/i286.1 target=machid.1
-link path=usr/share/man/man1/i386.1 target=machid.1
-link path=usr/share/man/man1/i486.1 target=machid.1
-link path=usr/share/man/man1/i860.1 target=machid.1
-link path=usr/share/man/man1/iAPX286.1 target=machid.1
 link path=usr/share/man/man1/if.1 target=shell_builtins.1
 link path=usr/share/man/man1/intro.1 target=Intro.1
 link path=usr/share/man/man1/jsh.1 target=ksh93.1
@@ -263,7 +258,6 @@
 link path=usr/share/man/man1/onintr.1 target=trap.1
 link path=usr/share/man/man1/page.1 target=more.1
 link path=usr/share/man/man1/pcred.1 target=proc.1
-link path=usr/share/man/man1/pdp11.1 target=machid.1
 link path=usr/share/man/man1/pfcsh.1 target=pfexec.1
 link path=usr/share/man/man1/pfiles.1 target=proc.1
 link path=usr/share/man/man1/pfksh.1 target=pfexec.1
@@ -293,16 +287,9 @@
 link path=usr/share/man/man1/settime.1 target=touch.1
 link path=usr/share/man/man1/sh.1 target=ksh93.1
 link path=usr/share/man/man1/source.1 target=exec.1
-link path=usr/share/man/man1/sparc.1 target=machid.1
 link path=usr/share/man/man1/stop.1 target=jobs.1
 link path=usr/share/man/man1/strconf.1 target=strchg.1
-link path=usr/share/man/man1/sun.1 target=machid.1
 link path=usr/share/man/man1/switch.1 target=shell_builtins.1
-link path=usr/share/man/man1/u370.1 target=machid.1
-link path=usr/share/man/man1/u3b.1 target=machid.1
-link path=usr/share/man/man1/u3b15.1 target=machid.1
-link path=usr/share/man/man1/u3b2.1 target=machid.1
-link path=usr/share/man/man1/u3b5.1 target=machid.1
 link path=usr/share/man/man1/ulimit.1 target=limit.1
 link path=usr/share/man/man1/unalias.1 target=alias.1
 link path=usr/share/man/man1/unhash.1 target=hash.1
@@ -319,7 +306,6 @@
 link path=usr/share/man/man1/valtime.1 target=cktime.1
 link path=usr/share/man/man1/valuid.1 target=ckuid.1
 link path=usr/share/man/man1/valyorn.1 target=ckyorn.1
-link path=usr/share/man/man1/vax.1 target=machid.1
 link path=usr/share/man/man1/vedit.1 target=../../../has/man/man1has/vi.1has
 link path=usr/share/man/man1/whence.1 target=typeset.1
 link path=usr/share/man/man1/while.1 target=shell_builtins.1
--- old/usr/src/uts/common/os/grow.c	Mon Feb 17 21:59:30 2014
+++ new/usr/src/uts/common/os/grow.c	Mon Feb 17 21:59:30 2014
@@ -499,7 +499,9 @@
 choose_addr(struct as *as, caddr_t *addrp, size_t len, offset_t off,
     int vacalign, uint_t flags)
 {
+#if defined(__amd64)
 	proc_t *p = curproc;
+#endif
 	caddr_t basep = (caddr_t)(uintptr_t)((uintptr_t)*addrp & PAGEMASK);
 	size_t lenp;
 
